net.i2p.router.web.helpers

## Class ConfigAdvancedHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.ConfigAdvancedHelper

-     public class ConfigAdvancedHelper
      extends HelperBase

  Helper for advanced configuration page rendering and form processing. Organizes router configuration properties by category, hides sensitive settings, and provides structured display of advanced router options.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static String` | `PROP_FLOODFILL_PARTICIPANT`

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigAdvancedHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigFileName()`
    `String` | `getFFChecked(int mode)`
    `String` | `getSettings()`
    `boolean` | `isFloodfill()`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_FLOODFILL_PARTICIPANT

          static final String PROP_FLOODFILL_PARTICIPANT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigAdvancedHelper

          public ConfigAdvancedHelper()

  - ### Method Detail

    - #### getConfigFileName

          public String getConfigFileName()

    - #### getFFChecked

          public String getFFChecked(int mode)

    - #### getSettings

          public String getSettings()

    - #### isFloodfill

          public boolean isFloodfill()